{ config, ... }: {
  imports = [
    <nixpkgs-unstable/nixos/modules/services/networking/yggdrasil.nix>
  ];

  networking.firewall.extraCommands =
    "ip6tables -A INPUT -s fe80::/10 -j ACCEPT";

  services.yggdrasil = {
    enable = true;
    package = (import <nixpkgs-unstable> {}).yggdrasil;
    openMulticastPort = true;
    config.NodeInfo = {
      name = config.networking.hostName + ".c3d2";
      location = "Dresden";
    };
  };
}
